import 'package:flutter/material.dart';
import '../marker_handler/marker_data.dart';

// From https://www.syncfusion.com/blogs/post/create-choropleth-map-using-in-flutter.aspx
class _ChoroplethMapState extends State {
  List<Measurement> iceThickness;
  MapShapeSource _mapShapeSource;

  @override
  void initState() {
    super.initState();

    _mapShapeSource = MapShapeSource.asset(
      'assets/world_map.json',
      shapeDataField: 'name',
      dataCount: _mapShapeSource.length,
      primaryValueMapper: (int index) =>
      _mapShapeSource[index].countryName,
    );
  }

  @override
  Widget build(BuildContext context) {
    return SfMaps(
      layers: [
        MapShapeLayer(
            source: _mapShapeSource,
            strokeColor: Colors.white30
        ),
      ],
    );
  }
}